#
# spec file for package python-python-slugify
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define short_name python-slugify
Name:           python-%{short_name}
Version:        8.0.4
Release:        1.2
Summary:        Slugify application that handles Unicode
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/un33k/python-slugify
Source:         %{short_name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module text-unidecode >= 1.3}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-text-unidecode >= 1.3
Requires(post): update-alternatives
Requires(postun): update-alternatives
Suggests:       python-Unidecode >= 1.1.1
Conflicts:      python-awesome-slugify
BuildArch:      noarch
%python_subpackages

%description
A Python Slugify application that handles Unicode.

%prep
%setup -q -n %{short_name}-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/slugify
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec ./test.py

%post
%python_install_alternative slugify

%postun
%python_uninstall_alternative slugify

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%python_alternative %{_bindir}/slugify
%{python_sitelib}/python_slugify-%{version}-py*.egg-info
%{python_sitelib}/slugify/

%changelog
* Fri Jan  3 2025 opensuse_buildservice@ojkastl.de
- Update to version 8.0.4:
  * Uppercase handling of special chars (#149)
  * format
  * up version
  * fix uppercase pre-translations (#148)
  * UpVersion
  * Remove compatibility with unsupported Python versions (#146)
  * more test
  * format fix
  * upversion node support
  * pre normalize
* Fri Jan  3 2025 opensuse_buildservice@ojkastl.de
- Update to version 8.0.3:
  * Drop compatibility for unsupported Python Version (#147)
* Fri Jan  3 2025 opensuse_buildservice@ojkastl.de
- Update to version 8.0.2:
  * Ci - Normalize accented text twice. (#143)
  * Add Python 3.12 to test matrix and add classifier to the setup
    (#139)
  * Add typing and expose py.typed (#137)
  * Revert "Replace flake8 and pycodestyle with ruff (#131)" (#136)
  * Replace flake8 and pycodestyle with ruff (#131)
  * unidecode (advanced) hyperlink
* Fri Dec 29 2023 egotthold@suse.com
- Update to version v8.0.1:
  * Legal Notice / Readme
  * Add note on licensing (#130)
  * By default, prefer unidecode if installed
  * Update import order for unidecode vs text_unidecode (#126)
  * Support Matrix
  * SemVer Table
  * merge sandbox
  * github action revert
  * cmdline options
  * update dev deps
  * Up Version
  * Add missing cmdLine options
* Wed May 10 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Mon Dec  6 2021 Dirk Müller <dmueller@suse.com>
- update to 5.0.2:
  * Drop support for python 2.7, 3.5 & tox, clean up
  * Add support for Py 3.9
* Wed Aug  5 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 4.0.1
  * Add support for Py 3.8
* Wed May 20 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Fri Mar 20 2020 pgajdos@suse.com
- version update to 4.0.0
  * Drop support from 2.6, & < 3.4.5
  * Fixed encoding in special.py
  * Add test for pre-translation (e.g German Umlaut)
  * Add special char supports (optional Use)
  * Now supporting text-unidecode>=1.3
  * Now supporting Unidecode>=1.1.1
* Mon Aug 26 2019 Antonio Larrosa <alarrosa@suse.com>
- Update to 3.0.3:
  * Add Options to readme
  * Add more unit tests
* Sat May 25 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.0.2:
  * Add official support of Py 3.7
* Tue Mar 26 2019 John Vandenberg <jayvdb@gmail.com>
- Use PyPI sdist
- Switch from requiring python-Unidecode to requiring
  python-text-unidecode >= 1.2
- Update to v3.0.1
  * add test to manifest
- from v3.0.0
  * Upgrade Unidecode to 1.2
  * Promote text-unidecode as the primary decoding package
  * Add Unidecode as an optional extra
* Tue Feb 19 2019 John Vandenberg <jayvdb@gmail.com>
- Activated test suite
- Update to v2.0.1
  * Add replacements option e.g. [['|', 'or'], ['%%', 'percent'], ['-', '_']]
- from 2.0.0
  * Fix alternative dependency installation
- from 1.2.6
  * Add support for case sensitive slugs
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 1.2.5
  * Add support for using text-unidecode (@bolkedebruin)
  * Switch to pycodestyle instead of pep8
- Use license tag
* Mon Nov 27 2017 toddrme2178@gmail.com
- Conflict with python-awesome-slugify
  They share the same module name
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
